Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129684 - [68cat] Unnecessary warning "Possible references in them will not be removed."
[68cat] Unnecessary warning "Possible references in them will not be removed."
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: EJB
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Andrey Yamkovoy
issues@javaee
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 17:41 UTC by matthies
Modified: 2009-12-04 09:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matthies 2008-03-10 17:41:13 UTC
When pressing "Delete" on a source file of a depending EJB project, there's the warning "ejb-jar.xml was found in the 
following location(s): [...] Possible references in them will not be removed." Only after that warning dialog does the 
dialog appear where one can check the "Safe delete (with usage search)" checkbox. The warning is pointless when doing a 
normal (non-"Safe") delete, thus it should only come *after* one has checked "Safe delete".

In addition it would be nice if one could disable that warning. It's rather a pain IMO. At the very least make "Next" 
the default button for that warning rather than "Cancel".

Product Version: NetBeans IDE 6.1 Beta (Build 200803050202)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Comment 1 Erno Mononen 2008-03-20 12:51:49 UTC
Agreed, needs to be improved. I will move the warning to the next panel, which will be displayed only when doing Safe 
delete. I'll also do the same for all other refactorings.
Comment 2 Erno Mononen 2008-03-27 13:08:05 UTC
Fixed, changeset 3d64f383e43b.
Comment 3 Erno Mononen 2008-03-27 16:39:18 UTC
Forgot to mark as fixed.
Comment 4 matthies 2008-04-02 18:46:27 UTC
The warning also appears when deleting private elements. It shouldn't appear at all for such elements.
Reopening for evaluation.
Comment 5 matthies 2008-05-02 09:25:45 UTC
Advancing target milestone.
Comment 6 matthies 2008-11-11 13:02:23 UTC
I'd really appreciate if this warning could be disabled. It is a constant pain when doing renaming and related 
refactorings in EJB projects.
Comment 7 matthies 2009-08-20 13:45:47 UTC
Updated TM.
Comment 8 Andrey Yamkovoy 2009-11-05 14:49:59 UTC
Fixed in the web-main.
EJB Refactoring disabled for the private elements.
Comment 9 Quality Engineering 2009-11-06 09:58:23 UTC
Integrated into 'main-golden', will be available in build *200911060201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5022da3b70fb
User: Andrey Yamkovoy <kaktus@netbeans.org>
Log: Fix for #129684 - [68cat] Unnecessary warning "Possible references in them will not be removed."
Comment 10 matthies 2009-12-04 09:46:19 UTC
Verified in 6.8 RC2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo